package traffic;
import java.util.concurrent.TimeUnit;
/**
 * 交通灯系统模拟
 * 	对象
 * 		灯、灯控制器、汽车、路口
 * @author lihao
 *
 */

public class TrafficSimulation {

	public static void main(String[] args) throws Exception {
		System.out.println("Simulation begins, press ENTER to stop");
		System.out.println("--------------------------------------------");
		// 初始化交通灯控制器
		TrafficLampControl control = new TrafficLampControl(TrafficLamp.SNSTRAIGHT, 10);
		// 初始化东西南北四个路口
		Road east = new Road("East", TrafficLamp.EWLEFT, TrafficLamp.EWSTRAIGHT);
		Road west = new Road("West", TrafficLamp.EWLEFT, TrafficLamp.EWSTRAIGHT);
		Road south = new Road("South", TrafficLamp.SNLEFT, TrafficLamp.SNSTRAIGHT);
		Road north = new Road("North", TrafficLamp.SNLEFT, TrafficLamp.SNSTRAIGHT);
		
		// 等待按下回车键，结束模拟
		System.in.read();
		east.shutdown();
		west.shutdown();
		south.shutdown();
		north.shutdown();
		control.shutdown();
		TimeUnit.SECONDS.sleep(1);
		System.out.println("--------------------------------------------");
		System.out.println("Simulation ends");
	}

}
